Module tdlight.api
Package it.tdlight.jni

# Class TdApi.File

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.File

Enclosing class:
  TdApi

public static final class TdApi.File extends TdApi.Object
Represents a file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`expectedSize`
Approximate file size in bytes in case the exact file size is unknown.
`int`
`id`
Unique file identifier.
`TdApi.LocalFile`
`local`
Information about the local copy of the file.
`TdApi.RemoteFile`
`remote`
Information about the remote copy of the file.
`long`
`size`
File size, in bytes; 0 if unknown.

## Constructor Summary

Constructors
Constructor
Description
`File()`
Represents a file.
`File(int id, long size, long expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)`
Represents a file.
`File(DataInput input)`
Represents a file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique file identifier.

### size

public long size
File size, in bytes; 0 if unknown.

### expectedSize

public long expectedSize
Approximate file size in bytes in case the exact file size is unknown. Can be used to show download/upload progress.

### local

public TdApi.LocalFile local
Information about the local copy of the file.

### remote

public TdApi.RemoteFile remote
Information about the remote copy of the file.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### File

public File()
Represents a file.

### File

public File(int id, long size, long expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)
Represents a file.

Parameters:
  `id` - Unique file identifier.
  `size` - File size, in bytes; 0 if unknown.
  `expectedSize` - Approximate file size in bytes in case the exact file size is unknown. Can be used to show download/upload progress.
  `local` - Information about the local copy of the file.
  `remote` - Information about the remote copy of the file.

### File

public File(DataInput input) throws IOException
Represents a file.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`